package handler

import (
	"net/http"

	"dag-jupyter/internal/logic"
	"dag-jupyter/internal/svc"
	"dag-jupyter/internal/types"
	"github.com/zeromicro/go-zero/rest/httpx"
)

func PasswordHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.PasswordRequest
		if err := httpx.Parse(r, &req); err != nil {
			httpx.Error(w, err)
			return
		}

		l := logic.NewPasswordLogic(r.Context(), svcCtx)
		resp, err := l.Password(&req)
		if err != nil {
			httpx.Error(w, err)
		} else {
			httpx.OkJson(w, resp)
		}
	}
}
